Skip to main content
Get Policy by ID
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/dataplans/policies/v1/{id} \
  --header 'Authorization: <api-key>'
{
  "policy": {
    "companyId": 1234,
    "deleted": false,
    "enabled": true,
    "id": "policy_id",
    "logRules": {
      "severities": [],
      "dpxlExpression": "<string>"
    },
    "name": "My Policy",
    "order": 1,
    "applicationRule": {
      "name": "<string>"
    },
    "archiveRetention": {
      "id": "<string>"
    },
    "createdAt": "2021-01-01T00:00:00.000Z",
    "description": "My Policy Description",
    "priorityOverride": {
      "quotaBased": {
        "usageTiers": [
          {
            "dailyQuotaPercentage": 80
          }
        ]
      }
    },
    "priorityOverrideStatus": {
      "quotaBased": {
        "currentUsage": 123,
        "dailyLimit": 123
      }
    },
    "subsystemRule": {
      "name": "<string>"
    },
    "targets": [
      {
        "archiveRetention": {
          "id": "<string>"
        },
        "dataset": "dataset1",
        "dataspace": "dataspace1",
        "priorityOverride": {
          "quotaBased": {
            "usageTiers": [
              {
                "dailyQuotaPercentage": 80
              }
            ]
          }
        }
      }
    ],
    "updatedAt": "2021-01-01T00:00:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The unique identifier of the data policy to retrieve.

Example:

"id"

Response

This data structue is obtained when retrieving a policy by its ID.

policy
Policy · object

A policy is a set of rules that define the behavior of the Coralogix system for a specific company.